post
https://api-approval.tingg.africa/v1/global-api/payments
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request
| Parameter | Type | Description | Required |
|---|---|---|---|
| function | string | Function being invoked | yes |
| countryCode | string | Country ISO code letter, i.e., KE,GH,TZ | yes |
| payload | object | ||
| payload.credentials | object | ||
| payload.credentials.username | string | The username you created on sign-in | yes |
| payload.credentials.password | string | The Password you created on sign-in | yes |
| payload.packet | array | ||
| payload.packet.serviceCode | string | This is the product code used in identifying the service the customer is consuming, e.g., TIGOAIRTIME | yes |
| payload.packet.MSISDN | string | The mobile number of the customer making the payment. The MSISDN should begin with a country code, e.g., 2547xxxxxxxx | yes |
| payload.packet.accountNumber | string | Account number payment is being made. If it’s a mobile number it should begin with a country code, e.g., 2547xxxxxxxx | yes |
| payload.packet.payerTransactionID | string | The unique transactionID | yes |
| payload.packet.requestExtraData | object | Any extra parameter | no |
{
"function": "BEEP.validateAccount",
"countryCode": "GH",
"payload": {
"credentials": {
"username": "testUser",
"password": "testpass"
},
"packet": [{
"serviceCode": "GH-DSTV",
"accountNumber": "222222",
"requestExtraData": {
"bankCode":"00222"
}
}]
}
}Response
This function will return a multidimensional array with two parts from the query-receiving client an authStatus section, and a results array section
| Parameter | Type | Description | Required |
|---|---|---|---|
| authStatus | Object | ||
| authStatus.authStatusCode | Integer | Status code indicating the authentication status of the merchant | Yes |
| authStatus.authStatusDescription | String | A narration/ description for the status code above. | Yes |
| results | Array | ||
| results.statusCode | Integer | Status code indicating the status of the request | Yes |
| results.statusDescription | String | A narration/ description for the status code above | Yes |
| results.serviceID | String | This is a service ID used in identifying the service the customer is consuming, e.g., 101 | Yes |
| results.accountNumber | String | The customer account number | Yes |
| results.customerName | String | Customer’s account name as registered by the merchant/MNO | Yes |
| results.responseExtraData | String | Any extra parameter or information you need to pass in a key-value JSON format | No |
{
"authStatus": {
"authStatusCode": 131,
"authStatusDescription": "Authentication was a success"
},
"results": [
{
"statusCode": 307,
"statusDescription": "Account number provided is valid",
"serviceID": "1650",
"accountNumber": "260771000063",
"active": "yes",
"customerName": "John Doe",
"responseExtraData": ""
}
]
}Status codes returned from the BEEP.validateAccountAPI function:
Authentication status codes
| authStatusCode | authStatusDescription |
|---|---|
| 131 | Client authenticated successfully |
| 132 | Client authentication failed |
| 174 | Generic failure status code matching the appropriate description |
Transactional Status Codes
| statusCode | statusDescription |
|---|---|
| 167 | Invalid service, Service access is not configured for Partner to use |
| 200 | Action on the client profile account was successful. This is a success status for creating, deleting, and updating a client profile account |
| 301 | Validation feature not available. Validation is not set up for this service |
| 306 | Invalid Account Number. The merchant does not recognize this account number |
| 307 | The account number provided is valid. The Merchant recognizes the account number provided |
| 308 | Bill info available. The merchant has a bill for the account. |
